#!/usr/bin/sh

# make the required directories
mkdir -p $HOME/Applications/context/tex/texmf-fonts/fonts/bitter
mkdir -p $HOME/Applications/context/tex/texmf-fonts/fonts/compagnon
mkdir -p $HOME/Applications/context/tex/texmf-fonts/tex/context/user/

# tell ConTeXt about the typescripts
cp ./fonts/type-imp-bitter.mkxl $HOME/Applications/context/tex/texmf-fonts/tex/context/user/
cp ./fonts/type-imp-compagnon.mkxl $HOME/Applications/context/tex/texmf-fonts/tex/context/user/

# install Bitter 
cd $HOME/Applications/context/tex/texmf-fonts/fonts/bitter
wget https://github.com/solmatas/BitterPro/files/4696179/ttf.zip 
unzip ttf.zip
mv ttf/* . && rm -r ttf __MACOSX ttf.zip
fc-cache -f -v $HOME/Applications/context/tex/texmf-fonts/fonts/bitter/

# install Compagnon Light
cd $HOME/Applications/context/tex/texmf-fonts/compagnon
git clone https://gitlab.com/velvetyne/compagnon.git
mv compagnon/fonts/* .
rm -rf compagnon Icon\r webfonts
fc-cache -f -v $HOME/Applications/context/tex/texmf-fonts/fonts/compagnon/

# Enable use of the fonts in ConTeXt
mtxrun --generate
mtxrun --script fonts --reload
mtxrun --script fonts --list --file --pattern='*bitter*'
mtxrun --script fonts --list --file --pattern='*compagnon*'
